import request from '../request'

const amap={
	/**
	 * 逆地理编码
	 * @param {
		 location: string '经纬度坐标:经度在前，纬度在后，经纬度间以“,”分割'
		 ...其他参数去高德官网看
	 } params
	 */
	regeo(params) {
		return request({
			url: 'https://restapi.amap.com/v3/geocode/regeo',
			method: 'get',
			params: {
				key: '6476cd358ddea091d7da6d59e92b0659',
				...params
			}
		})
	}
}

export default amap
